Name:           perl-Swim
Version:        0.1.46
Release:        2%{?dist}
Summary:        See What I Mean is a plain text markup language
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Swim/
Source0:        http://www.cpan.org/authors/id/I/IN/INGY/Swim-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::ShareDir::Install)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  sed
# Run-time:
BuildRequires:  perl(base)
BuildRequires:  perl(constant)
BuildRequires:  perl(Encode)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(Hash::Merge)
BuildRequires:  perl(HTML::Escape)
# IPC::Run not used
BuildRequires:  perl(Pegex) >= 0.41
BuildRequires:  perl(Pegex::Base)
BuildRequires:  perl(Pegex::Grammar)
BuildRequires:  perl(Pegex::Parser)
BuildRequires:  perl(Pegex::Tree)
# Text::Autoformat not used at test-time
BuildRequires:  perl(YAML::XS)
# Tests:
BuildRequires:  perl(File::Find)
BuildRequires:  perl(lib)
BuildRequires:  perl(Test::More)
# Test::Pod 1.41 not used
BuildRequires:  perl(TestML)
BuildRequires:  perl(TestML::Bridge)
BuildRequires:  perl(TestML::Util)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Hash::Merge)
Requires:       perl(IPC::Run)
Requires:       perl(Pegex) >= 0.41
Requires:       perl(Pegex::Grammar)
Requires:       perl(Pegex::Tree)
Requires:       perl(Text::Autoformat)
Requires:       perl(YAML::XS)

%description
Swim (See What I Mean) is a plain text markup language that converts to many
formats: HTML, MarkDown, POD, Formatted Plain Text, LaTeX, DocBook, roff,
AsciiDoc, MediaWiki. The Swim framework is easily extensible, so adding new
outputs is easy.

%prep
%setup -q -n Swim-%{version}
# Remove bundled modules
rm -rf ./inc
sed -i -e '/^inc\//d' MANIFEST
# Fix shebang
sed -i -e '1 s/^#!.*/#!perl/' bin/swim

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes CONTRIBUTING README
%{_bindir}/swim
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Jun 06 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.1.46-2
- Perl 5.26 rebuild

* Mon Mar 13 2017 Petr Pisar <ppisar@redhat.com> 0.1.46-1
- Specfile autogenerated by cpanspec 1.78.
